#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

class QCompleter;
class QTimer;

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();
    bool eventFilter(QObject *, QEvent *);

    void closeEvent(QCloseEvent *event);

public slots:
    void timeout();
    void messageBoxButtonPressed();
    void delayedPopupButtonPressed();
    void grabMouseButtonPressed();


private:
    Ui::MainWindow *ui;
    QCompleter *completer;
    QWidget *popupWidget;
    QTimer *timer;

};


#endif // MAINWINDOW_H
